#![doc = include_str!("../README.MD")]
#![warn(missing_docs)]

use lazy_static::lazy_static;

mod control;

lazy_static! {
    /// Manager for the `ègui` component. Can be merged into an other manager for extensions.
    pub static ref MANAGER: brisk_it::generator::Manager = {
        let manager = brisk_it::generator::ManagerBuilder::new()
        .create::<control::Match>("Match")
        .create::<control::Repeater>("Repeater");

        manager.into()
    };
}
